attribute vec4 aPosition;//顶点坐标
uniform mat4 uTextureMatrix;//纹理矩阵
varying vec2 vTextureCoord;//传给片段着色器的纹理坐标
attribute vec4 aTextureCoordinate;//自己定义的纹理坐标
void main()
{
  //根据自己定义的纹理坐标和纹理矩阵求取传给片段着色器的纹理坐标
  vTextureCoord = (uTextureMatrix * aTextureCoordinate).xy;
  gl_Position = aPosition;
}